(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      4374,        123]
NotebookOptionsPosition[      3941,        102]
NotebookOutlinePosition[      4280,        117]
CellTagsIndexPosition[      4237,        114]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, 3.600685373189396*^9}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\[IndentingNewLine]", 
 RowBox[{"port", "=", "4223"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<68WwdQ\>\""}], 
  RowBox[{"(*", " ", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"dc", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{"\"\<Tinkerforge.BrickDC\>\"", ",", "uid", ",", "ipcon"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"dc", "@", 
   RowBox[{"SetPWMFrequency", "[", "10000", "]"}]}], 
  RowBox[{"(*", " ", 
   RowBox[{"Use", " ", "PWM", " ", "frequency", " ", "of", " ", "10", "kHz"}],
    " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"dc", "@", 
   RowBox[{"SetDriveMode", "[", "1", "]"}]}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Use", " ", "1"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"Drive", "/", "Coast"}], " ", "instead", " ", "of", " ", "0"}], 
     "=", 
     RowBox[{"Drive", "/", "Brake"}]}]}], " ", "*)"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{"dc", "@", 
  RowBox[{"Enable", "[", "]"}]}], "\n", 
 RowBox[{
  RowBox[{"dc", "@", 
   RowBox[{"SetAcceleration", "[", "5000", "]"}]}], 
  RowBox[{"(*", " ", 
   RowBox[{"Low", " ", "acceleration"}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"dc", "@", 
   RowBox[{"SetVelocity", "[", "32767", "]"}]}], 
  RowBox[{"(*", " ", 
   RowBox[{"Full", " ", "speed", " ", "forward"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Clean", " ", "up"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"dc", "@", 
  RowBox[{"Disable", "[", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "dc", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzVsoQwEcBvCl5bpQrrks5PKwiI2XJduitmLIw7aiprmdmlukeeCFt9HY
iM1sbQ9rUUoio1lJraxo7izMI8e2BxmtkPOdh3+/+ur7/sWqkY6+OAaDwaYO
+pUftaZLUlSt4tZBnTSghGVvZyp4/KcfgJLgxhh8audrYAlHYIDM+Pt1yAvx
LHCbnTW1RjnnGKftX7ydpf0kadUue8hGmXqwH4ZBEysKrYPkN5QZun7g6x1B
W7PqLLEjZ5tL4XAukwOjlbIqSEjIOug1x2ifrdMGOOoRL0F5jqnxCP8b71uh
2HIug9zHLgVc0WrrTyilen8DHI4WMXzYcynToEnXkw33fpNyYcIQ/4G4onry
zAD0CdwkHNy5ofUmHy6rKcmIxww5oUQHJF6MTiiMTXZaKOt3hb1woSJvFE4T
bbT8iZYJeKropk0xfl1A27z3Fm6Wa1PDlIWfW+mwQGPJhDPXGfmw2b3aFGG9
i3ShmBj+A6CEFZ0=
  "]]
},
WindowSize->{1521, 867},
WindowMargins->{{Automatic, 136}, {86, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 602, 11, 55, "Input"],
Cell[1005, 26, 2932, 74, 517, "Input"]
}
]
*)

