(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      5515,        152]
NotebookOptionsPosition[      5083,        131]
NotebookOutlinePosition[      5422,        146]
CellTagsIndexPosition[      5379,        143]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.643542037418895*^9, 3.643542037424375*^9}, {
  3.64354318608257*^9, 3.643543227900782*^9}, {3.643543298083702*^9, 
  3.643543298145677*^9}, {3.643543699761508*^9, 3.643543701786042*^9}}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\n", 
 RowBox[{"port", "=", "4223"}], "\n", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<sad\>\""}], 
  RowBox[{"(*", " ", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"acc", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{
   "\"\<Tinkerforge.BrickletAccelerometer\>\"", ",", "uid", ",", "ipcon"}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Get", " ", "threshold", " ", "callbacks", " ", "with", " ", "a", " ", 
    "debounce", " ", "time", " ", "of", " ", "10", " ", "seconds", " ", 
    RowBox[{"(", 
     RowBox[{"10000", "ms"}], ")"}]}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"acc", "@", 
   RowBox[{"SetDebouncePeriod", "[", "10000", "]"}]}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Callback", " ", "for", " ", "acceleration", " ", "threshold", " ", 
    "reached"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"AccelerationReachedCB", "[", 
    RowBox[{"sender_", ",", "x_", ",", "y_", ",", "z_"}], "]"}], ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Print", "[", 
       RowBox[{"\"\<Acceleration(X): \>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"N", "[", 
          RowBox[{"Quantity", "[", 
           RowBox[{"x", ",", "\"\<mg\>\""}], "]"}], "]"}], "]"}]}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<Acceleration(Y): \>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"N", "[", 
          RowBox[{"Quantity", "[", 
           RowBox[{"y", ",", "\"\<mg\>\""}], "]"}], "]"}], "]"}]}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<Acceleration(Z): \>\"", "<>", 
        RowBox[{"ToString", "[", 
         RowBox[{"N", "[", 
          RowBox[{"Quantity", "[", 
           RowBox[{"z", ",", "\"\<mg\>\""}], "]"}], "]"}], "]"}]}], "]"}]}]}],
     "\[IndentingNewLine]", "]"}]}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AddEventHandler", "[", 
   RowBox[{
    RowBox[{"acc", "@", "AccelerationReached"}], ",", 
    "AccelerationReachedCB"}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Configure", " ", "threshold", " ", "for", " ", "acceleration", " ", 
     "values", " ", "X"}], ",", " ", 
    RowBox[{"Y", " ", "or", " ", "Z", " ", "\"\<greater than 2g\>\"", " ", 
     RowBox[{"(", 
      RowBox[{"unit", " ", "is", " ", 
       RowBox[{"g", "/", "1000"}]}], ")"}]}]}], " ", "*)"}]}], "\n", 
 RowBox[{"option", "=", 
  "Tinkerforge`BrickletAccelerometer`THRESHOLDUOPTIONUGREATER"}], "\n", 
 RowBox[{
  RowBox[{"acc", "@", 
   RowBox[{"SetAccelerationCallbackThreshold", "[", 
    RowBox[{"option", ",", 
     RowBox[{"2", "*", "1000"}], ",", "0", ",", 
     RowBox[{"2", "*", "1000"}], ",", "0", ",", 
     RowBox[{"2", "*", "1000"}], ",", "0"}], "]"}]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}], "\n", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Clean", " ", "up"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "acc", "]"}], "\n", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->{{3.643542049975746*^9, 3.64354212261869*^9}, {
   3.643543622415845*^9, 3.643543628561249*^9}, {3.6435437684756813`*^9, 
   3.64354378171213*^9}, 3.643605539128677*^9, {3.644144481446426*^9, 
   3.6441445119511623`*^9}, {3.644144768232298*^9, 3.644144770376988*^9}}]
},
WindowSize->{1096, 856},
WindowMargins->{{Automatic, 122}, {92, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 478, 9, 55, "Input"],
Cell[881, 24, 4198, 105, 715, "Input"]
}
]
*)

