(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      3904,        107]
NotebookOptionsPosition[      3635,         93]
NotebookOutlinePosition[      3967,        108]
CellTagsIndexPosition[      3924,        105]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, 3.600685373189396*^9, {3.643606514887547*^9, 
   3.643606523230032*^9}, {3.643606555410924*^9, 3.643606556636702*^9}, {
   3.643606706802094*^9, 3.64360670921262*^9}}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\[IndentingNewLine]", 
 RowBox[{"port", "=", "4223"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<XYZ\>\""}], 
  RowBox[{"(*", " ", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"al", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{
   "\"\<Tinkerforge.BrickletAmbientLightV2\>\"", ",", "uid", ",", "ipcon"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\n", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{"Get", " ", "current", " ", "illuminance", " ", 
    RowBox[{"(", 
     RowBox[{"unit", " ", "is", " ", 
      RowBox[{"Lux", "/", "100"}]}], ")"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Illuminance: \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"N", "[", 
      RowBox[{"Quantity", "[", 
       RowBox[{
        RowBox[{"al", "@", 
         RowBox[{"GetIlluminance", "[", "]"}]}], ",", "\"\<Lux/100\>\""}], 
       "]"}], "]"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Clean", " ", "up"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "al", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzU0og3EcB/AnLe9x8ZayWOSwJjYuS17awQ6GHLYVNW1entrMosVhO3FC
XkbsMVtzWHLREtnESmpFYcjMwhx5DCWjFfJ8/4dfn/rW9/sr0w519qVQFFXC
HQxpPmqZS7a5WiuugzOKqAZWPJ9q4eHf/ACUxzaG4X2HdBQKhI02yEuNrEJJ
XOKEXn6+ZYVzyjNC7J8LjxM/WaLetxZ3c+b4d19hjMlOQJeB/YZKW/cPfLqh
iTXL64I15HxHOTQW8YQwIVJWQVrO1sGgI0l8cFlt0BRoWYCqQkZ2gP+ySBts
cZ4pofiuWw2XJifrjzgV86EGaEyUUifY82lyITOjK4A7vxlFMG1QektfcT1V
XhSeNO6z0LB1TQxm7i3qOdm3gAMK4+keSD/a12FTcqzLyVm/3dQLZyuLTdBK
txOl5lYzPFb3ELPsXxfQPR0Mw+J3r8dd8dIctfiJE7rzA7gpihH/AZJdDMo=

  "]]
},
WindowSize->{1521, 867},
WindowMargins->{{332, 65}, {52, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 747, 13, 55, "Input"],
Cell[1307, 35, 2324, 56, 363, "Input"]
}
]
*)

(* End of internal cache information *)
