(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      3822,        104]
NotebookOptionsPosition[      3553,         90]
NotebookOutlinePosition[      3885,        105]
CellTagsIndexPosition[      3842,        102]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, {3.6006856839510727`*^9, 3.600685684190543*^9}, {
   3.643610289986034*^9, 3.643610290815097*^9}, 3.643610382577314*^9}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\[IndentingNewLine]", 
 RowBox[{"port", "=", "4223"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<amb\>\""}], 
  RowBox[{"(*", " ", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"ai", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{
   "\"\<Tinkerforge.BrickletAnalogInV2\>\"", ",", "uid", ",", "ipcon"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\n", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{"Get", " ", "current", " ", "voltage", " ", 
    RowBox[{"(", 
     RowBox[{"unit", " ", "is", " ", "mV"}], ")"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Voltage: \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"N", "[", 
      RowBox[{"Quantity", "[", 
       RowBox[{
        RowBox[{"ai", "@", 
         RowBox[{"GetVoltage", "[", "]"}]}], ",", "\"\<mV\>\""}], "]"}], 
      "]"}], "]"}]}], "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Clean", " ", "up"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "ai", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzU0ow3EcBvCFvMfFy9qBWdbSItsstRbTDnPwlsO2WE3D/MvbTMsOnNwQ
NsLMtCnJTSIj1FIrq2kIswxH/sZBG62Q//M7fPvUU8/zLTMMt/emsFisUuZg
SP9Z47iiG6oNYimcbY7oIf81aIC+P1sfbHzaNsNom2wM8oT1dpiWHl6DkpjE
BXdKCsdXGac3R4nG+dtJYpwm9ns9MTdj3uHBO3xy5Cbg+gD9DdV23Q98uaOI
ouUtngd5ibMcDrHThDBRqa6CVCMthX5nkvi4PmGHplPVAtQUO5Qn+K8Mt0CV
60INxQ86LVyampKfMTbbQnVwKMFlBbDn1edDx2x3Edz/zWLDjEHZPXXN9DQF
ERioP6bhwO4N0Z99tNjPSH+cOqEwlrkJqeeVLahIWjtdjPI9RQ+cE3BMcIJq
JcosTRZ4ru0i5qx8XUL3jP8W0lSU62Pk1QYFcCa1Y26D/9YgjhuJ6hHBIqSs
IiKnwuiGZoWZ+A/gfRmf
  "]]
},
WindowSize->{1521, 867},
WindowMargins->{{333, 64}, {53, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 700, 12, 55, "Input"],
Cell[1260, 34, 2289, 54, 363, "Input"]
}
]
*)

(* End of internal cache information *)
