(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      8894,        192]
NotebookOptionsPosition[      8461,        171]
NotebookOutlinePosition[      8799,        186]
CellTagsIndexPosition[      8756,        183]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, {3.600608826318905*^9, 3.600608826675346*^9}, {
   3.600685698446945*^9, 3.600685698699895*^9}, {3.6437112497854958`*^9, 
   3.643711262168373*^9}, {3.6437145522890663`*^9, 3.643714554208568*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "For", " ", "this", " ", "example", " ", "connect", " ", "the", " ", "RX1",
     " ", "and", " ", "TX", " ", "pin", " ", "to", " ", "receive", " ", "the",
     " ", "send", " ", "message"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"host", "=", "\"\<localhost\>\""}], "\[IndentingNewLine]", 
   RowBox[{"port", "=", "4223"}], "\[IndentingNewLine]", 
   RowBox[{"uid", "=", "\"\<XYZ\>\""}], 
   RowBox[{"(*", " ", 
    RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}],
     " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ipcon", "=", 
    RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
   
   RowBox[{"rs232", "=", 
    RowBox[{"NETNew", "[", 
     RowBox[{"\"\<Tinkerforge.BrickletRS232\>\"", ",", "uid", ",", "ipcon"}], 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"ipcon", "@", 
    RowBox[{"Connect", "[", 
     RowBox[{"host", ",", "port"}], "]"}]}], "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "Convert", " ", "string", " ", "to", " ", "char", " ", "array", " ", 
      "with", " ", "length", " ", "60"}], ",", 
     RowBox[{"as", " ", "needed", " ", "by", " ", "write"}]}], " ", "*)"}], 
   "\n", 
   RowBox[{
    RowBox[{"StringToCharList", "[", "message_", "]"}], ":=", 
    RowBox[{"PadRight", "[", 
     RowBox[{
      RowBox[{"ToCharacterCode", "[", "message", "]"}], ",", "60", ",", " ", 
      "0"}], "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Assume", " ", "that", " ", "the", " ", "message", " ", "consists", " ", 
     "of", " ", "ASCII", " ", "characters", " ", "and", "\n", "   ", 
     "convert", " ", "it", " ", "from", " ", "an", " ", "array", " ", "of", 
     " ", "chars", " ", "to", " ", "a", " ", "string"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"CharListToString", "[", 
     RowBox[{"message_", ",", "length_"}], "]"}], ":=", 
    RowBox[{"StringTake", "[", 
     RowBox[{
      RowBox[{"FromCharacterCode", "[", "message", "]"}], ",", "length"}], 
     "]"}]}], "\n", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Callback", " ", "function", " ", "for", " ", "read", " ", "callback"}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ReadCB", "[", 
     RowBox[{"sender_", ",", "message_", ",", "length_"}], "]"}], ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Message (length: \>\"", "<>", 
      RowBox[{"ToString", "[", 
       RowBox[{"N", "[", "length", "]"}], "]"}], "<>", "\"\<): \>\"", "<>", 
      "\[IndentingNewLine]", "       ", 
      RowBox[{"CharListToString", "[", 
       RowBox[{"message", ",", "length"}], "]"}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"AddEventHandler", "[", 
    RowBox[{
     RowBox[{"rs232", "@", "ReadCallback"}], ",", "ReadCB"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"rs232", "@", 
    RowBox[{"EnableReadCallback", "[", "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"message", ":=", " ", "\"\<test\>\""}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"FIXME", ":", " ", 
      RowBox[{
      "This", " ", "call", " ", "crashes", " ", "Mono", " ", "with", " ", "a",
        " ", "SIGSEGV"}]}], ",", " ", 
     RowBox[{"no", " ", "clue", " ", "why"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"rs232", "@", 
    RowBox[{"Write", "[", 
     RowBox[{
      RowBox[{"StringToCharList", "[", "message", "]"}], ",", " ", 
      RowBox[{"StringLength", "[", "message", "]"}]}], "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Clean", " ", "up"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ipcon", "@", 
    RowBox[{"Disconnect", "[", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"ReleaseNETObject", "[", "rs232", "]"}], "\[IndentingNewLine]", 
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.600075175574196*^9, 3.600075177574486*^9}, {
   3.600075518821967*^9, 3.60007554243471*^9}, {3.600075580562348*^9, 
   3.600075669308506*^9}, {3.600075705822371*^9, 3.600075921974015*^9}, {
   3.6000760067507343`*^9, 3.600076009622583*^9}, {3.600077792659996*^9, 
   3.600077795613958*^9}, {3.600077854705127*^9, 3.600077855342334*^9}, {
   3.600090981053762*^9, 3.6000909897413397`*^9}, {3.600091048393783*^9, 
   3.600091071325759*^9}, {3.6000911068928633`*^9, 3.6000911072763557`*^9}, {
   3.600091413237206*^9, 3.600091428847453*^9}, {3.600091480127982*^9, 
   3.60009150669311*^9}, {3.6000915673213387`*^9, 3.6000915678002653`*^9}, {
   3.600092307925643*^9, 3.600092314241997*^9}, {3.600149020784099*^9, 
   3.6001491107582273`*^9}, {3.600149174456699*^9, 3.6001491869018793`*^9}, {
   3.600161252329417*^9, 3.600161270517737*^9}, {3.6001751050299597`*^9, 
   3.6001752269913054`*^9}, {3.600175283111157*^9, 3.60017529631222*^9}, {
   3.600500425825809*^9, 3.6005004326356916`*^9}, {3.6005005658827868`*^9, 
   3.60050056667803*^9}, {3.600506021813815*^9, 3.6005060779666643`*^9}, {
   3.600506152278829*^9, 3.6005061727773933`*^9}, {3.600607963780426*^9, 
   3.6006080340220013`*^9}, {3.600608128817329*^9, 3.600608130481505*^9}, {
   3.60060817038931*^9, 3.600608171010838*^9}, 3.60060822412246*^9, {
   3.600608254252864*^9, 3.600608318404385*^9}, {3.600608504672563*^9, 
   3.6006085096134768`*^9}, {3.600608564485358*^9, 3.6006085694976482`*^9}, {
   3.6006086083315887`*^9, 3.600608696478737*^9}, {3.600608732817322*^9, 
   3.600608760452553*^9}, {3.600608824736239*^9, 3.600608825481593*^9}, 
   3.60060918655473*^9, {3.600609227515625*^9, 3.600609227953993*^9}, {
   3.6006808535111303`*^9, 3.6006809380224857`*^9}, {3.600681151693446*^9, 
   3.600681153080058*^9}, {3.6006856236513557`*^9, 3.600685623998728*^9}, {
   3.643710142031036*^9, 3.6437101993485107`*^9}, {3.643710239839604*^9, 
   3.6437102716559763`*^9}, {3.643710531673223*^9, 3.643710559112245*^9}, {
   3.643710591889564*^9, 3.64371060670082*^9}, {3.6437106826816797`*^9, 
   3.643710702075067*^9}, {3.643710838310828*^9, 3.643710851670669*^9}, {
   3.643710970725484*^9, 3.643711076970722*^9}, {3.643711146639202*^9, 
   3.6437112699891157`*^9}, 3.643711641224204*^9, {3.643711754079857*^9, 
   3.643711822944607*^9}, {3.643711860212764*^9, 3.643711862167757*^9}, {
   3.643711927668641*^9, 3.64371193015392*^9}, 3.643712058666287*^9, {
   3.643712112240303*^9, 3.643712114563805*^9}, {3.6437121504092703`*^9, 
   3.643712181441143*^9}, {3.643712418511529*^9, 3.6437124916621943`*^9}, {
   3.6437126200210667`*^9, 3.64371263502299*^9}, {3.6437128160782423`*^9, 
   3.6437128915611973`*^9}, {3.643712928777615*^9, 3.643712929728944*^9}, {
   3.643714442365982*^9, 3.643714444487204*^9}, {3.643714487894384*^9, 
   3.643714543414875*^9}, {3.643714615364472*^9, 3.643714615569339*^9}, {
   3.643717109239092*^9, 3.643717113762582*^9}}]
},
WindowSize->{1521, 867},
WindowMargins->{{Automatic, 97}, {Automatic, 56}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 776, 13, 55, "Input"],
Cell[1179, 28, 7278, 141, 781, "Input"]
}
]
*)

