(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[      4174,        115]
NotebookOptionsPosition[      3742,         94]
NotebookOutlinePosition[      4080,        109]
CellTagsIndexPosition[      4037,        106]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoadNETAssembly", "[", 
  RowBox[{"\"\<Tinkerforge\>\"", ",", 
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.600175052949191*^9, 3.600175066601799*^9}, 
   3.600175102142559*^9, {3.6001753172765293`*^9, 3.600175317946432*^9}, {
   3.600500538026902*^9, 3.600500561851948*^9}, {3.600506097634747*^9, 
   3.600506099012146*^9}, 3.600506136278721*^9, {3.60060805238198*^9, 
   3.600608117803465*^9}, 3.600685373189396*^9}],

Cell[BoxData[{
 RowBox[{"host", "=", "\"\<localhost\>\""}], "\[IndentingNewLine]", 
 RowBox[{"port", "=", "4223"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uid", "=", "\"\<amb\>\""}], 
  RowBox[{"(*", " ", 
   RowBox[{"Change", " ", "to", " ", "your", " ", "UID"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Create", " ", "IPConnection", " ", "and", " ", "device", " ", "object"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "=", 
  RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}], "\n", 
 RowBox[{"tir", "=", 
  RowBox[{"NETNew", "[", 
   RowBox[{
   "\"\<Tinkerforge.BrickletTemperatureIR\>\"", ",", "uid", ",", "ipcon"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ipcon", "@", 
   RowBox[{"Connect", "[", 
    RowBox[{"host", ",", "port"}], "]"}]}], "\n", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Get", " ", "current", " ", "object", " ", "and", " ", "ambient", " ", 
    "temperatures", " ", 
    RowBox[{"(", 
     RowBox[{"unit", " ", "is", " ", 
      RowBox[{"\[Degree]C", "/", "10"}]}], ")"}]}], " ", "*)"}]}], "\n", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Object Temperature: \>\"", "<>", 
   RowBox[{"ToString", "[", 
    RowBox[{"N", "[", 
     RowBox[{"Quantity", "[", 
      RowBox[{
       RowBox[{"tir", "@", 
        RowBox[{"GetObjectTemperature", "[", "]"}]}], ",", 
       "\"\<\[Degree]C/10\>\""}], "]"}], "]"}], "]"}]}], "]"}], "\n", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Ambient Temperature: \>\"", "<>", 
    RowBox[{"ToString", "[", 
     RowBox[{"N", "[", 
      RowBox[{"Quantity", "[", 
       RowBox[{
        RowBox[{"tir", "@", 
         RowBox[{"GetAmbientTemperature", "[", "]"}]}], ",", 
        "\"\<\[Degree]C/10\>\""}], "]"}], "]"}], "]"}]}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Clean", " ", "up"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"ipcon", "@", 
  RowBox[{"Disconnect", "[", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "tir", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzU0ogwEcBvClZb7iYixlschhTWx2WcumHbaDjRw2ZZnm660xomUHO7mN
xkZ4zZYdltwkMmJaakWRj8wsNsqB1zjISCHv8x7+/eqp5/lXmofaerNYLFY5
ffDM9N5AXlBNdWaxFLq0CROsfj4xw8ifux9qUmsj8K5VNgYFQoUHsrPjy1CS
lvjgOp87vkQ7GRxl7JuJTTB+UIyWUCC9Qlu4s/0KU2RBBvoHqC+o9xh/4NM1
wVi/sCoIIOd7q6CVxxbCjEhfCwkNJYVR7zdj0u/wwOGwehYaSknVPv6r4jqo
9p3qofjW2A7nnU75Ia3WfdYIrZkK1jH2QqYiSLq6S+DWby4PcgZlN8Ql3TMU
J+CxYo+CAxtXjNG83TkLLfUW9kJhOicIifvFVaj8tnf4aOWbyh44XVM2DB1E
C6PM1myDR+1djPmLn+dwZSoag5zk38MLrS7W+ghFdu4z7DyIpOE/xdkQNw==

  "]]
},
WindowSize->{1521, 867},
WindowMargins->{{334, Automatic}, {54, Automatic}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 602, 11, 55, "Input"],
Cell[1005, 26, 2733, 66, 385, "Input"]
}
]
*)

